Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.memory
Class LockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.transaction.memory.LockException

All Implemented Interfaces:
  Serializable

Deprecated. no longer used as it has been replaced by the more general version in `LockException`

public class LockException
extends RuntimeException

Exception displaying a lock problem in pessimistic transactions.

Version:
  $Revision$
See Also:
  `OptimisticMapWrapper`, `LockException`, Serialized Form

Field Summary
`protected int` | `code` Deprecated.
`static int` | `CODE_DEADLOCK_VICTIM` Deprecated.
`static int` | `CODE_INTERRUPTED` Deprecated.
`static int` | `CODE_TIMED_OUT` Deprecated.
`protected Object` | `key` Deprecated.
`protected String` | `reason` Deprecated.

Constructor Summary
`LockException(String reason, int code, Object key)` Deprecated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CODE_INTERRUPTED

    public static final int CODE_INTERRUPTED

  Deprecated.
  See Also:
    Constant Field Values

### CODE_TIMED_OUT

    public static final int CODE_TIMED_OUT

  Deprecated.
  See Also:
    Constant Field Values

### CODE_DEADLOCK_VICTIM

    public static final int CODE_DEADLOCK_VICTIM

  Deprecated.
  See Also:
    Constant Field Values

### key

    protected Object key

  Deprecated.

### reason

    protected String reason

  Deprecated.

### code

    protected int code

  Deprecated.

Constructor Detail

### LockException

    public LockException(String reason,
                         int code,
                         Object key)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.